
Redmine - Defect #36291

Issue done ratio is not updated after closing duplicate issue

2021-12-08 12:14 - Julia Kulpina

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Steps:

1) Create two issues and mark one as a dublicate of another;

2) Close "original" issue.

Expected result:

Both issues have status "closed" and done ratio 100%.

Actual result:

Both issues have status "closed" but done ratio of duplicate issue is not changed.

Related issues:

Copied from Redmine - Feature #33894: Automatically set done ratio to 100% wh... New

History

#1 - 2021-12-08 12:14 - Julia Kulpina

- Copied from Feature #33894: Automatically set done ratio to 100% when closing a issue added

#2 - 2021-12-22 13:35 - Go MAEDA

Julia Kulpina wrote:

Actual result:

Both issues have status "closed" but done ratio of duplicate issue is not changed.

 This is the expected behavior if the "Calculate the issue done ratio with" setting in Administration > Settings > Issue tracking is set to "Use the issue

field". Because the status field and the "% done" field are completely independent unless the "Calculate the issue done ratio with" is "Use the issue

status".
